# Query Transactions

### **Request URI** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/query-card-transactions`

### **Request Body**

**Refer to :** [**common**](/issuing-card-api/common.md)

**Biz\_data :**

<table><thead><tr><th width="209.7265625">Name</th><th width="144.83203125">Type</th><th>Description</th></tr></thead><tbody><tr><td>order_no</td><td>string</td><td>Order Number</td></tr><tr><td>card_token</td><td>string</td><td>Card Token</td></tr><tr><td>transaction_status</td><td>integer</td><td>Transaction status.Refer to:<a href="/pages/s6Y5f3czsFzXG26r0vBp">transactionStatus</a></td></tr><tr><td>transaction_type</td><td>integer</td><td>Transaction type.Refer to: <a href="/pages/gbKVBqe4REk5SatWSXG9">transactionType</a></td></tr><tr><td>currency</td><td>string</td><td>Currency.Refer to: <a href="/pages/qe7btns9YHn5kg2P9XYl">currency</a></td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td>Begin Time.Format:yyyy-MM-dd</td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td>End Time.Format: yyyy-MM-dd</td></tr><tr><td>page_num</td><td>integer</td><td>Default value: 1</td></tr><tr><td>page_size</td><td>integer</td><td>Default value: 10.Max value is 30</td></tr></tbody></table>

{% hint style="info" %}
max query time range : 31 days
{% endhint %}

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "2079Bc5F-339E-8c32-E47D-E35c45db",
    "timestamp": "2025-04-07 13:56:55",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "order_no": "fE2E44c2-A4cF-C4Fc-40d6-Ee493262",
        "start_date": "2025-04-05",
        "end_date": "2025-04-08"
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

<table><thead><tr><th width="223.0625">Name</th><th width="193.16015625">Type</th><th>Description</th></tr></thead><tbody><tr><td>order_no</td><td>string</td><td>Order Number</td></tr><tr><td>card_token</td><td>string</td><td>Card Token</td></tr><tr><td>transaction_id</td><td>string</td><td>Transaction ID</td></tr><tr><td>transaction_type</td><td>integer</td><td>Transaction Type</td></tr><tr><td>transaction_status</td><td>integer</td><td>Transaction Status</td></tr><tr><td>account_num</td><td>string</td><td>Account Number</td></tr><tr><td>account_name</td><td>string</td><td>Account Name</td></tr><tr><td>bill_currency</td><td>string</td><td>Bill Currency</td></tr><tr><td>bill_amount</td><td>string</td><td>Bill Amount</td></tr><tr><td>bill_fee</td><td>string</td><td>Bill Fee</td></tr><tr><td>balance</td><td>string</td><td>Account Balance</td></tr><tr><td>balance_change</td><td>string</td><td>Balance Change</td></tr><tr><td>transaction_amount</td><td>string</td><td>Transaction Amount</td></tr><tr><td>transaction_currency</td><td>string</td><td>Transaction Currency</td></tr><tr><td>exchange_rate</td><td>string</td><td>Exchange Rate</td></tr><tr><td>reference</td><td>string</td><td>Remark</td></tr><tr><td>transaction_desc</td><td>string</td><td>Transaction description</td></tr><tr><td>related_transaction_id</td><td>string</td><td>Related Transaction ID</td></tr><tr><td>merchant_info</td><td>string</td><td>Merchant Information</td></tr><tr><td>business_date</td><td>string</td><td>Format：yyyy-MM-dd</td></tr><tr><td>create_time</td><td>string</td><td>Create date. Date format: yyyy-MM-dd HH:mm:ss</td></tr><tr><td>card_remark</td><td>string</td><td>Card remark</td></tr></tbody></table>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": [{
        "transaction_id": "100000076796",
        "order_no": "fE2E44c2-A4cF-C4Fc-40d6-Ee493262",
        "card_token": "450620141926",
        "transaction_type": 120,
        "transaction_status": 1,
        "account_num": "658704******3982",
        "account_name": "Steven Lopez",
        "bill_currency": "USD",
        "bill_amount": "1.23",
        "bill_fee": "0.00",
        "balance_change": "1.23",
        "balance": "100012059.48",
        "transaction_amount": "1.23",
        "transaction_currency": "USD",
        "exchange_rate": "1.0000",
        "reference": null,
        "transaction_desc": "remark",
        "merchant_info": null,
        "related_transaction_id": "100000076795",
        "business_date": "2025-04-07",
        "create_time": "2025-04-07 05:56:53"
    }]
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/card/query-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
